{ lib, buildNimPackage, fetchFromGitea, nimFlagsFromLockFile }:

buildNimPackage (final: prev: {
  pname = "acpi_actor";
  version = "20231010";

  src = fetchFromGitea {
    domain = "git.syndicate-lang.org";
    owner = "ehmry";
    repo = final.pname;
    rev = final.version;
    hash = "sha256-eN3VC2yL6UvjeIGvzx0PAujR/Xd6Rc1e9Ftf6fKKk2E=";
  };

  nimFlags = nimFlagsFromLockFile "${final.src}/lock.json";

  meta = final.src.meta // {
    maintainers = [ lib.maintainers.ehmry ];
    license = lib.licenses.unlicense;
  };
})
