{ lib, buildNimPackage, fetchFromGitea, fontconfig, pkg-config
, nimFlagsFromLockFile }:

buildNimPackage (final: prev: {
  pname = "fontconfig_actor";
  version = "20231009";
  nimBinOnly = true;

  src = fetchFromGitea {
    domain = "git.syndicate-lang.org";
    owner = "ehmry";
    repo = final.pname;
    rev = final.version;
    hash = "sha256-DeoHz+vi3/cXANxm54C7zY2H0lzrHTj2bfWLAMGOZBw=";
  };

  nativeBuildInputs = [ pkg-config ];
  buildInputs = [ fontconfig ];

  nimFlags = nimFlagsFromLockFile "${final.src}/lock.json";

  meta = final.src.meta // {
    description = "Syndicate actor for asserting Fontconfig information";
    maintainers = [ lib.maintainers.ehmry ];
    license = lib.licenses.unlicense;
  };
})
