{ lib, buildNimPackage, fetchFromGitea, libnotify, pkg-config
, nimFlagsFromLockFile }:

buildNimPackage (final: prev: {
  pname = "libnotify_actor";
  version = "20231009";

  src = fetchFromGitea {
    domain = "git.syndicate-lang.org";
    owner = "ehmry";
    repo = final.pname;
    rev = final.version;
    hash = "sha256-xNHadWL3Lay1HGEfdmjpLDJsOddrqziMGm0A74tbeYA=";
  };

  propagatedNativeBuildInputs = [ pkg-config ];
  propagatedBuildInputs = [ libnotify ];

  nimFlags = nimFlagsFromLockFile "${final.src}/lock.json";

  meta = final.src.meta // {
    maintainers = [ lib.maintainers.ehmry ];
    license = lib.licenses.unlicense;
  };
})
