{ lib, buildNimPackage, fetchFromGitea, pkg-config, sqlcipher
, nimFlagsFromLockFile }:

buildNimPackage (final: prev: {
  pname = "sqlite_actor";
  version = "20231010";

  src = fetchFromGitea {
    domain = "git.syndicate-lang.org";
    owner = "ehmry";
    repo = final.pname;
    rev = final.version;
    hash = "sha256-oKw5GUsK1F2RegOFiNYkLXT5CvtWcF/8H6QdE4DXa1A=";
  };

  propagatedNativeBuildInputs = [ pkg-config ];
  propagatedBuildInputs = [ sqlcipher ];

  nimFlags = nimFlagsFromLockFile "${final.src}/lock.json";

  meta = final.src.meta // {
    maintainers = [ lib.maintainers.ehmry ];
    license = lib.licenses.unlicense;
  };
})
