# https://git.syndicate-lang.org/synit/synit/src/branch/main/packaging/packages/syndicate-server/APKBUILD

{ lib, rustPlatform, rust, fetchFromGitea, pkg-config, openssl }:

rustPlatform.buildRustPackage rec {
  pname = "syndicate-server";
  version = "0.36.1";
  src = fetchFromGitea {
    domain = "git.syndicate-lang.org";
    owner = "syndicate-lang";
    repo = "syndicate-rs";
    rev = "${pname}-v${version}";
    sha256 = "sha256-txy7AmgnxtG8LCwXgTKPtaSB/Au81IKmbXGVLhkca1s=";
  };
  cargoHash = "sha256-buRMWL7W5ElF/JkXDj3WJGnNECxy15IC1lkokav5HiA=";
  nativeBuildInputs = [ rust pkg-config ];
  buildInputs = [ openssl ];

  meta = {
    description = "Syndicate broker server";
    homepage = "https://git.syndicate-lang.org/syndicate-lang/syndicate-rs/";
    mainProgram = "syndicate-server";
    maintainers = with lib.maintainers; [ ehmry ];
  };
}
