{ lib, buildNimPackage, fetchFromGitea, nimFlagsFromLockFile }:

buildNimPackage (final: prev: {
  pname = "syndicate_utils";
  version = "20231005";

  src = fetchFromGitea {
    domain = "git.syndicate-lang.org";
    owner = "ehmry";
    repo = final.pname;
    rev = final.version;
    hash = "sha256-RNbEoD4p8o4ZrBFGD2wdmM4VmqfeCbhm0bOzIO0pVNI=";
  };

  nimBinOnly = true;
  nimFlags = nimFlagsFromLockFile "${final.src}/lock.json";

  meta = final.src.meta // {
    maintainers = [ lib.maintainers.ehmry ];
    license = lib.licenses.unlicense;
  };
})
