{ lib, buildNimPackage, fetchFromGitea, makeDesktopItem, pkg-config, pcre
, nimFlagsFromLockFile }:

buildNimPackage (final: prev: {
  pname = "syndicated-open";
  version = "20231010";
  nimBinOnly = true;

  src = fetchFromGitea {
    domain = "git.syndicate-lang.org";
    owner = "ehmry";
    repo = final.pname;
    rev = final.version;
    hash = "sha256-DVBSsnN59XKV7Pc1spBxcLwyOIif3xMHXHID9khVJck=";
  };

  nativeBuildInputs = [ pkg-config ];
  propagatedBuildInputs = [ pcre ];

  nimFlags = nimFlagsFromLockFile "${final.src}/lock.json";

  desktopItem = makeDesktopItem rec {
    name = "open";
    desktopName = "Syndicated URI open";
    exec = "${name} %U";
    mimeTypes = [
      "application/vnd.mozilla.xul+xml"
      "application/xhtml+xml"
      "text/html"
      "text/xml"
      "x-scheme-handler/http"
      "x-scheme-handler/https"
    ];
  };

  postInstall = ''
    ln -s open $out/bin/xdg-open
    cp -a $desktopItem/* $out/
  '';

  meta = final.src.meta // {
    description = "Syndicated open command";
    maintainers = [ lib.maintainers.ehmry ];
    license = lib.licenses.unlicense;
  };
})
